Subject: bug#17629: Can't build emacs-24 branch

From: Paul Eggert <[email-masked]>
Date: Thu, 29 May 2014 07:47:02 -0700

I cannot reproduce the problem; the same checkout (emacs-24 bzr 117169) 
works for me with that recipe on my host (Fedora 20 x86-64, GCC 4.9.0). 
  See attached build transcript and config.log.

Looking at your build snippet I'm suspicious of lines like this:

Loading emacs-lisp/byte-run (compiled; note, source file is newer)...

At this point during the bootstrap process there shouldn't be a compiled 
file byte-run.elc, because it hasn't been built yet.  In my log I see:

Loading emacs-lisp/byte-run (source)...

which is what I'd expect.  Perhaps you were doing a 'make -j' and ran 
into a parallelization problem?  Or maybe you did two 'make's, one 
interrupted?  Neither should cause this problem, but still, we need an 
explanation for why byte-run.elc was present when it should have been 
absent.